#! /bin/bash

# Test: appending MapInfo data to existing PostGIS tables
#	if MapInfo table has no geometry, a create table is issued
dbname=test
dbschema=loader
dbuser=test
dbpassword=test

psql -f create_test_schema.sql $dbname $dbuser

config="--config PG_USE_COPY YES"

#mode="-overwrite"
mode="-append -update"

rm -f error.log

# The following works fine 
ogr2ogr $config $mode -a_srs EPSG:3003 -f 'PostgreSQL' \
	"PG:dbname=$dbname user=$dbuser password=$dbpassword active_schema=$dbschema" \
	"data/PlineTest.TAB" \
	-nlt LINESTRING -lco LAUNDER=NO -lco PRECISION=YES -lco DIM=2 -lco GEOMETRY_NAME=geom 2> error.log


# This one tries to issue a create table "NoGeomtest" and fails
ogr2ogr $config $mode -f 'PostgreSQL' \
	"PG:dbname=$dbname user=$dbuser password=$dbpassword active_schema=$dbschema" \
	"data/NoGeomTest.TAB" \
	-nlt NONE -lco LAUNDER=NO 2>> error.log


# This, omitting LAUNDER=NO, creates and populates nogeomtest
ogr2ogr $config $mode -f 'PostgreSQL' \
	"PG:dbname=$dbname user=$dbuser password=$dbpassword active_schema=$dbschema" \
	"data/NoGeomTest.TAB" \
	-nlt NONE  2>> error.log

